package com.huangx.dubbo.consumer;

import org.springframework.context.support.ClassPathXmlApplicationContext;


/**
 * 加载 Spring 配置，启动 Dubbo 服务消费者
 */
public class Consumer {

	public static void main(String[] args) {
		System.setProperty("java.net.preferIPv4Stack", "true");
		ClassPathXmlApplicationContext context = new ClassPathXmlApplicationContext(
				new String[] {"dubbo-consumer.xml"});
		context.start();

		// 消费
		HelloAction helloAction = context.getBean(HelloAction.class);
		helloAction.invoke();
	}

}
